<?php
/*

@author: Victory
@site: http://dfhu.org
@copyright: dfhu.org
@report_bugs: bugs(at)dfhu.org
@feature_request: features(at)dfhu.org
@file: slowdriprss/index.php
@license: BSD
@version: 4

@description:

  An example of using rss_maker() and rss_maker_for_wordpress()

$Date:: 2009-08-01 07:40:33 #$:
$Rev:: 4                     $:

*/

require('./slowdrip_rss.inc.php');

// The items are stored in an array of array's.  The inner arrays must
// have set a 'title','description' and a link.

$items=Array();
for($i=0; $i<10; $i++){
  $items[]=
    Array("title"=>"Item $i",
	  "description"=>"Body of text for item $i",
  	  "link"=>"http://mysite.faux/pg$i.html");
}

$f=rss_maker(
    // The actual items, with title,description and link
    $items, 
    // Average days between posts
    $dates=.8,
    // How many days in the past to start feed
    $back_date=3,
    // Title for the feed
    $title="Example RSS Feed",
    // Link to the Feed
    $link="http://dfhu.org/",
    // Description for the feed
    $description="Using slowdrip RSS",
    // Don't create a GUID
    $no_guid=False,
    // Use <![CDATA[ ... ]]>
    $escape_with_cdata=True);


// NOTE: Normally you wouldn't want to print the feed to screen
// directly, because the dates will change on every run. Instead you
// might want to write the output to an .xml
// file. use file_put_contents;
echo $f;
//file_put_contents('./feeds/feed.xml',$f);


/* Alternatively for wordpress Plugin */


// Note this does NOT create a valid RSS feed, it creates an rss feed
// that works for Wordpress, looking at feeds created with this
// function in firefox will not work in general, use a text editor
$wp_f=rss_maker_for_wordpress(
  $items,
  $dates=.5,
  $back_date=3.0);

//echo $wp_f;
//file_put_contents('./feeds/wp_feed.xml',$wp_f);


?>